## org.apache.batik.svggen
Class SVGGeneratorContext.GraphicContextDefaults

    java.lang.Object
      org.apache.batik.svggen.SVGGeneratorContext.GraphicContextDefaults

Enclosing class:
  SVGGeneratorContext

public static class SVGGeneratorContext.GraphicContextDefaults
extends java.lang.Object

Class to describe the GraphicContext defaults to be used. Note that this class does *not* contain a default for the initial transform, as this transform *has to be identity* for the SVGGraphics2D to operate (the TransformStacks operation is based on that assumption. See the DOMTreeManager class).

Field Summary
`protected java.awt.Color` `background`
`protected java.awt.Shape` `clip`
`protected java.awt.Composite` `composite`
`protected java.awt.Font` `font`
`protected java.awt.RenderingHints` `hints`
`protected java.awt.Paint` `paint`
`protected java.awt.Stroke` `stroke`

Constructor Summary
`SVGGeneratorContext.GraphicContextDefaults()`

Method Summary
`java.awt.Color` `getBackground()`
`java.awt.Shape` `getClip()`
`java.awt.Composite` `getComposite()`
`java.awt.Font` `getFont()`
`java.awt.Paint` `getPaint()`
`java.awt.RenderingHints` `getRenderingHints()`
`java.awt.Stroke` `getStroke()`
`void` `setBackground(java.awt.Color background)`
`void` `setClip(java.awt.Shape clip)`
`void` `setComposite(java.awt.Composite composite)`
`void` `setFont(java.awt.Font font)`
`void` `setPaint(java.awt.Paint paint)`
`void` `setRenderingHints(java.awt.RenderingHints hints)`
`void` `setStroke(java.awt.Stroke stroke)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### paint

    protected java.awt.Paint paint

### stroke

    protected java.awt.Stroke stroke

### composite

    protected java.awt.Composite composite

### clip

    protected java.awt.Shape clip

### hints

    protected java.awt.RenderingHints hints

### font

    protected java.awt.Font font

### background

    protected java.awt.Color background

Constructor Detail

### SVGGeneratorContext.GraphicContextDefaults

    public SVGGeneratorContext.GraphicContextDefaults()

Method Detail

### setStroke

    public void setStroke(java.awt.Stroke stroke)

### getStroke

    public java.awt.Stroke getStroke()

### setComposite

    public void setComposite(java.awt.Composite composite)

### getComposite

    public java.awt.Composite getComposite()

### setClip

    public void setClip(java.awt.Shape clip)

### getClip

    public java.awt.Shape getClip()

### setRenderingHints

    public void setRenderingHints(java.awt.RenderingHints hints)

### getRenderingHints

    public java.awt.RenderingHints getRenderingHints()

### setFont

    public void setFont(java.awt.Font font)

### getFont

    public java.awt.Font getFont()

### setBackground

    public void setBackground(java.awt.Color background)

### getBackground

    public java.awt.Color getBackground()

### setPaint

    public void setPaint(java.awt.Paint paint)

### getPaint

    public java.awt.Paint getPaint()

Copyright © 2004 Apache Software Foundation. All Rights Reserved.